#community-help

Vite 4 Upgrade Causes TypeError with TypesenseInstantSearchAdapter

TLDR em1nos faced a TypeError after upgrading to Vite 4. They found a solution by adding /typesense-instantsearch-adapter/ to the noExternal array in the Vite config.

Powered by Struct AI
Jun 05, 2023 (6 months ago)
em1nos
Photo of md5-f33ae8b829901656b655c985c894be3a
em1nos
11:46 AM
I just upgraded to Vite 4 and now I'm getting TypeError: TypesenseInstantSearchAdapter is not a constructor when running the SSR in node (v18).
Am I just doing something wrong? Is there a solution?
12:30
em1nos
12:30 PM
hmm, I might have solved my particular issue by adding /typesense-instantsearch-adapter/ to the noExternal array in the Vite config.